package org.springblade.modules.project.pojo.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.util.List;

/**
 * @Param
 * @Author wangwl
 * @Date 2024/4/10 17:36
 **/
@Data
@Schema(description = "数据看板DTO")
public class DataStatDTO {

    @Schema(description = "年")
    private Integer year;

    @Schema(description = "月")
    private Integer month;

    @Schema(description = "项目进度类型1常规2超进度3滞后所有传-1")
    private Integer projectScheduleType;

    @Schema(description = "滞后等级所有传-1")
    private Integer projectScheduleGrade;

    @Schema(description = "项目阶段")
    private Integer projectStage;

    @Schema(description = "项目类型")
    private Integer projectType;
}
