package org.springblade.modules.project.pojo.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springblade.modules.project.pojo.entity.ProjectInfo;
import org.springblade.modules.project.pojo.entity.ProjectInvestPlan;

import java.util.List;

/**
 * @Param
 * @Author wangwl
 * @Date 2024/4/8 11:45
 **/
@Data
@EqualsAndHashCode(callSuper = true)
@Schema(description = "项目新增保存DTO")
public class ProjectInfoDTO extends ProjectInfo {

    @Schema(description = "每年计划集合")
    private List<ProjectInvestPlan> list;
}
