package org.springblade.modules.project.pojo.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.time.LocalDate;

/**
 * @Param
 * @Author wangwl
 * @Date 2024/4/12 14:34
 **/
@Data
@Schema(description = "异常管理-撤销")
public class ProjectRepealDTO {

    @Schema(description = "项目id")
    private Long projectId;

    @Schema(description = "异常类型1投资预警2建设预警")
    private Integer warningType;

    @Schema(description = "计划年份")
    private Integer planYear;

    @Schema(description = "季度")
    private Integer quarter;

    @Schema(description = "撤销结束日期")
    private LocalDate repealEndDate;

}
