package org.springblade.modules.project.pojo.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.math.BigDecimal;

/**
 * @Param
 * @Author wangwl
 * @Date 2024/4/10 17:44
 **/
@Data
@Schema(description = "数据看板-项目统计返回视图")
public class DataProjectStatVO {

    @Schema(description = "项目总量")
    private Integer projectTotal;

    @Schema(description = "计划总投资")
    private BigDecimal planAllMoney;

    @Schema(description = "目前实际完成投资")
    private BigDecimal currentMoney;

    @Schema(description = "投资完成比例")
    private BigDecimal investRatio;

    @Schema(description = "常规项目")
    private Integer total1;

    @Schema(description = "超进度项目")
    private Integer total2;

    @Schema(description = "滞后项目")
    private Integer total3;
}
