package org.springblade.modules.project.pojo.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.math.BigDecimal;

/**
 * @Param
 * @Author wangwl
 * @Date 2024/4/10 17:44
 **/
@Data
@Schema(description = "数据看板-进度统计计算用VO")
public class DataScheduleStatVO2 {

    @Schema(description = "项目id")
    private Long id;

    @Schema(description = "项目阶段名称")
    private String projectStageName;

    @Schema(description = "项目类型名称")
    private String projectTypeName;

    @Schema(description = "一季度是否完成")
    private Integer isOneFinished;

    @Schema(description = "二季度是否完成")
    private Integer isTwoFinished;

    @Schema(description = "三季度是否完成")
    private Integer isThreeFinished;

    @Schema(description = "四季度是否完成")
    private Integer isFourFinished;

    @Schema(description = "年是否完成")
    private Integer isYearFinished;

    @Schema(description = "项目进度类型")
    private Integer scheduleType;

    @Schema(description = "项目阶段")
    private Integer projectStage;

    @Schema(description = "项目类型")
    private Integer projectType;


}
