package org.springblade.modules.project.pojo.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springblade.modules.project.pojo.entity.ProjectInfo;
import org.springblade.modules.project.pojo.entity.ProjectInvestPlan;

import java.util.List;

/**
 * @Param
 * @Author wangwl
 * @Date 2024/4/8 11:45
 **/
@Data
@Schema(description = "项目详情和计划详情")
@EqualsAndHashCode(callSuper = true)
public class ProjectAndPlanDetailVO extends ProjectInfo {

    @Schema(description = "项目阶段名称")
    private String projectStageName;

    @Schema(description = "项目类型名称")
    private String projectTypeName;

    @Schema(description = "建设规模名称")
    private String buildScaleName;

    @Schema(description = "年计划和每月详情")
    private List<ProjectInvestPlanVO> list;

}
