package org.springblade.modules.project.pojo.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springblade.modules.project.pojo.entity.ProjectInvestPlan;

import java.math.BigDecimal;
import java.util.List;

/**
 * @Param   生成报告获取指定年计划，和项目个别字段
 * @Author wangwl
 * @Date 2024/4/8 11:45
 **/
@Data
@EqualsAndHashCode(callSuper = true)
public class ProjectInvestPlanVO2 extends ProjectInvestPlan {

    @Schema(description = "责任单位")
    private String dutyUnit;

    @Schema(description = "项目类型")
    private Integer projectType;

    @Schema(description = "项目名称")
    private String name;

}
