package org.springblade.modules.project.service.impl;

import lombok.AllArgsConstructor;
import org.springblade.core.mp.base.BaseServiceImpl;
import org.springblade.modules.project.mapper.ProjectInfoMapper;
import org.springblade.modules.project.mapper.ProjectInvestPlanMapper;
import org.springblade.modules.project.pojo.dto.ProjectInfoDTO;
import org.springblade.modules.project.pojo.entity.ProjectInfo;
import org.springblade.modules.project.pojo.entity.ProjectInvestPlan;
import org.springblade.modules.project.pojo.vo.ProjectInvestPlanVO2;
import org.springblade.modules.project.service.IProjectInfoService;
import org.springblade.modules.project.service.IProjectInvestPlanService;
import org.springblade.modules.project.utils.ObjectUtils;
import org.springblade.modules.project.utils.SnowFlakeUtil;
import org.springframework.beans.BeanUtils;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * @Param
 * @Author wangwl
 * @Date 2024/4/8 12:01
 **/
@Service
@AllArgsConstructor
public class ProjectInvestPlanServiceImpl extends BaseServiceImpl<ProjectInvestPlanMapper, ProjectInvestPlan> implements IProjectInvestPlanService {
    @Override
    public List<ProjectInvestPlanVO2> getYearAllProject(Integer year) {
        return baseMapper.getYearAllProject(year);
    }
}
