package org.springblade.modules.project.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import lombok.AllArgsConstructor;
import org.apache.commons.lang3.StringUtils;
import org.springblade.core.log.exception.ServiceException;
import org.springblade.core.mp.base.BaseServiceImpl;
import org.springblade.modules.project.mapper.ProjectInfoMapper;
import org.springblade.modules.project.mapper.ProjectPlanProgressMapper;
import org.springblade.modules.project.pojo.dto.ProjectInfoDTO;
import org.springblade.modules.project.pojo.dto.ProjectInfoPageDTO;
import org.springblade.modules.project.pojo.entity.ProjectInfo;
import org.springblade.modules.project.pojo.entity.ProjectInvestPlan;
import org.springblade.modules.project.pojo.entity.ProjectPlanProgress;
import org.springblade.modules.project.pojo.vo.ProjectAndPlanDetailVO;
import org.springblade.modules.project.pojo.vo.ProjectInfoDetailVO;
import org.springblade.modules.project.pojo.vo.ProjectInfoVO;
import org.springblade.modules.project.service.IProjectInfoService;
import org.springblade.modules.project.service.IProjectInvestPlanService;
import org.springblade.modules.project.service.IProjectPlanProgressService;
import org.springblade.modules.project.utils.ObjectUtils;
import org.springblade.modules.project.utils.SnowFlakeUtil;
import org.springframework.beans.BeanUtils;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.math.BigDecimal;
import java.math.RoundingMode;
import java.util.List;

/**
 * @Param
 * @Author wangwl
 * @Date 2024/4/8 12:01
 **/
@Service
@AllArgsConstructor
public class ProjectPlanProgressServiceImpl extends BaseServiceImpl<ProjectPlanProgressMapper, ProjectPlanProgress> implements IProjectPlanProgressService {

}
