package org.springblade.modules.project.pojo.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springblade.modules.project.pojo.entity.ProjectInfo;
import org.springblade.modules.project.pojo.vo.ProjectInvestPlanVO;

import java.util.List;

/**
 * @Param
 * @Author wangwl
 * @Date 2024/4/8 11:45
 **/
@Data
@Schema(description = "项目详情和计划详情")
@EqualsAndHashCode(callSuper = true)
public class ProjectAndPlanDetailDTO extends ProjectInfo {

    @Schema(description = "年计划和每月详情")
    private List<ProjectInvestPlanDTO> list;

}
