package org.springblade.modules.project.pojo.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springblade.core.mp.support.Query;
import org.springblade.modules.project.pojo.entity.ProjectInfo;
import org.springblade.modules.project.pojo.entity.ProjectInvestPlan;

import java.util.List;

/**
 * @Param
 * @Author wangwl
 * @Date 2024/4/8 11:45
 **/
@Data
@Schema(description = "项目分页DTO")
public class ProjectInfoPageDTO {

    @Schema(description = "当前页")
    private Integer current;

    @Schema(description = "每页的数量")
    private Integer size;

    @Schema(description = "开工年")
    private Integer startYear;

    @Schema(description = "完工年")
    private Integer endYear;

    @Schema(description = "搜索值")
    private String searchValue;

    @Schema(description = "项目阶段")
    private Integer projectStage;

    @Schema(description = "项目类型")
    private Integer projectType;

    @Schema(description = "删除使用")
    private String ids;


}
