package org.springblade.modules.project.pojo.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

/**
 * @Param
 * @Author wangwl
 * @Date 2024/4/11 17:38
 **/
@Data
public class pageWarningDTO {

    @Schema(description = "当前页")
    private Integer current;

    @Schema(description = "每页的数量")
    private Integer size;

    @Schema(description = "搜索值")
    private String searchValue;

    @Schema(description = "异常类型1投资异常2进度异常")
    private Integer type;

    @Schema(description = "异常等级123")
    private Integer grade;

    @Schema(description = "是否撤销0否1是")
    private Integer isAnnul;
}
