package org.springblade.modules.project.pojo.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import org.springblade.modules.project.pojo.entity.ProjectInvestPlan;

import java.math.BigDecimal;

/**
 * @Param
 * @Author wangwl
 * @Date 2024/4/10 17:44
 **/
@Data
@Schema(description = "数据看板-项目统计计算用VO")
public class DataProjectStatVO2 {

    @Schema(description = "项目id")
    private Long id;

    @Schema(description = "计划总投资")
    private BigDecimal planAllMoney;

    @Schema(description = "目前实际完成投资")
    private BigDecimal currentMoney;

    @Schema(description = "项目进度类型:1常规2超进度3滞后")
    private Integer scheduleType;

}
