package org.springblade.modules.project.pojo.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springblade.modules.project.pojo.entity.ProjectInvestPlan;

/**
 * @Param
 * @Author wangwl
 * @Date 2024/4/12 10:37
 **/
@Data
@Schema(description = "异常分页，年计划数据计算VO")
@EqualsAndHashCode(callSuper = true)
public class InvestPlanWarningVO extends ProjectInvestPlan {

    @Schema(description = "项目名称")
    private String projectName;

}
