package org.springblade.modules.project.pojo.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.math.BigDecimal;

/**
 * @Param   报告-投资完成情况表
 * @Author wangwl
 * @Date 2024/8/5 15:40
 **/
@Data
public class ReportVO1 {

    @Schema(description = "年项目数")
    private Integer yearProjectTotal;

    @Schema(description = "年计划投资亿元")
    private BigDecimal yearPlanInvest;

    @Schema(description = "季度计划投资亿元")
    private BigDecimal quarterPlanInvest;

    @Schema(description = "季度完成投资亿元")
    private BigDecimal quarterFinishedInvest;

    @Schema(description = "季度环比")
    private BigDecimal quarterCompare;

    @Schema(description = "季度完成率")
    private BigDecimal quarterFinishedRatio;

    @Schema(description = "季度累计完成投资亿元")
    private BigDecimal quarterAddFinishedInvest;

    @Schema(description = "季度累计占全年计划")
    private BigDecimal quarterAddRatioYearPlan;

    @Schema(description = "超前/滞后")
    private BigDecimal LeadOrLag;

}
