package org.springblade.modules.project.pojo.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.math.BigDecimal;

/**
 * @Param   报告-各板块完成情况的表格
 * @Author wangwl
 * @Date 2024/8/5 15:40
 **/
@Data
public class ReportVO3 {

    @Schema(description = "一季度投资完成率")
    private BigDecimal oneInvestRatio;

    @Schema(description = "一季度项目数")
    private Integer oneProjectTotal;

    @Schema(description = "二季度投资完成率")
    private BigDecimal twoInvestRatio;

    @Schema(description = "二季度项目数")
    private Integer twoProjectTotal;

    @Schema(description = "前两季度累计投资完成率")
    private BigDecimal twoAggregateRatio;

    @Schema(description = "三季度投资完成率")
    private BigDecimal threeInvestRatio;

    @Schema(description = "三季度项目数")
    private Integer threeProjectTotal;

    @Schema(description = "前三季度累计投资完成率")
    private BigDecimal threeAggregateRatio;

    @Schema(description = "四季度投资完成率")
    private BigDecimal fourInvestRatio;

    @Schema(description = "四季度项目数")
    private Integer fourProjectTotal;

    @Schema(description = "全年累计投资完成率")
    private BigDecimal fourAggregateRatio;

}
