package org.springblade.modules.system.pojo.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import jdk.dynalink.linker.LinkerServices;
import lombok.Data;

import java.util.List;

/**
 * @Param   系统设置里面的所有类型配置
 * @Author wangwl
 * @Date 2024/4/8 9:34
 **/
@Data
public class DictBizDTO {

    @Schema(description = "1项目阶段2项目类型3要点分工")
    private String type;

    @Schema(description = "字典集合")
    private List<String> list;
}
